Skip to content
CatalogProducts

Create or update products in a batch

Upsert up to 100 import rows. Use the camelCase equivalents of import columns; attributes and options are string maps, equivalent to the Attribute: and Option: columns in CSV/JSONL. Variants of the same product must be contiguous.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/batch" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "productId": "7204558912004322039",        "expectedVersion": 3,        "productCode": "POL-001",        "productName": "Polo de algodón",        "description": "Polo de algodón pima para uso diario.",        "slug": "polo-de-algodon",        "sku": "POL-001-AZ-M",        "variantId": "7204558912004323197"      }    ]  }'
{  "results": [    {      "index": 1,      "id": "7204558912004323810",      "status": "created",      "errors": []    }  ]}